Using this API call, you can assign a user as a stakeholder to an incident.
PUT request URL
https://<epo_server_name:port>/rest/dlp/incidents/stakeholders/add/{incidentId}?stakeholderId=7&stakeholderType=0&incidentNature=1&interest=InsertInterest
Where
epo_server_name:portis the server IP address and port number.{incidentId}unique identifier of an incident.stakeholderId = {n}specifies the stakeholder ID.stakeholderType={n}based on the value of n, stakeholder type can be:0 = ePO users
1 = Non-ePO users
incidentNature={n}n can be 1, 2, or 3 for incidents of different data vectors (incident nature).interestspecifies the reason for adding a user as a stakeholder to an incident.
Request Parameters
Parameter name | Description | Required | Values |
|---|---|---|---|
Authorization | User credentials for ePO - On-prem. | Required | |
{incidentId} | Unique identifier of an incident. | Required | Number |
stakeholderId = {n} | Unique ID of the user to be added as stakeholder. | ||
stakeholderType={n} | Based on the value of n, stakeholders can be:
| Required | Number |
incidentNature={n} | Incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident nature. Based on the data vectors, {n} can be:
| Required | Number |
interest | Reason for adding a user as a stakeholder to an incident. | Optional | String |
In these sample requests, incident 42 generated for data-in-use/motion is assigned a stakeholder with ID 7, who is an ePO user.
Sample PUT request URL
https://172.27.108.53:8443/rest/dlp/incidents/stakeholders/add/42?stakeholderId=7&stakeholderType=0&incidentNature=1&interest=InsertInterest
Sample cURL command
curl -k -v -X PUT 'https://172.27.108.53:8443/rest/dlp/incidents/stakeholders/add/42?stakeholderId=7&stakeholderType=0&incidentNature=1&interest=InsertInterest' -u '<user>:<password>'
Response parameters
The response returns a message about the assignment of a user as a stakeholder.
Element | Description | Data type | |
|---|---|---|---|
Message | Shows whether a user is added successfully or not as a stakeholder. | String | |
Sample response
Sucess: Added stakeholder
Status and error codes
List of HTTP status codes returned for the query.
Code | Description |
|---|---|
200 OK | Returns a response stating that a user is added as a stakeholder successfully. |
400 Bad Request | Returns a bad request if:
|
404 Not Found | Incorrect ePO - On-prem URL. |
500 Internal Server Error | An error on the server side that failed the request. See the ePO - On-prem |